Skip to main content
GET
/
public
/
v1
/
recurring
/
journal-entries
/
List RecurringJournalEntry records
curl --request GET \
  --url https://api.dualentry.com/public/v1/recurring/journal-entries/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/recurring/journal-entries/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/recurring/journal-entries/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "internal_id": 123,
      "number": 123,
      "name": "<string>",
      "memo": "<string>",
      "date": "2023-12-25",
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "record_payload": "<unknown>",
      "rrule": "<string>",
      "next_occurrence": "2023-11-07T05:31:56Z",
      "last_generated": "2023-11-07T05:31:56Z",
      "records": [
        {
          "internal_id": 123,
          "number": 123,
          "date": "2023-12-25",
          "amount": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "count": 123
}
{
  "errors": {},
  "success": false
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
recurring_type
enum<string>[] | null
Available options:
automatic,
reminder
updated_after
string<date-time> | null
updated_before
string<date-time> | null
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicRecurringJournalEntrySchemaOut · object[]
required
count
integer
required
Last modified on July 8, 2026